> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://support.atomicwork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://support.atomicwork.com/_mcp/server.

# Update User

PUT https://{tenant}.atomicwork.com/api/v1/users/{user_id}
Content-Type: application/json

Reference: https://support.atomicwork.com/api-reference/atomicwork-public-api/users/putapi-v-1-users-user-id

## Authentication

- `X-Api-Key` header (required) — API Key authentication via header

## Request

### Path parameters

- `user_id` (long, required)

### Headers

- `X-Workspace-Id` (string, optional)

### Body (application/json)

This endpoint expects an object.

- `email` (string, optional)
- `first_name` (string, optional)
- `middle_name` (string, optional)
- `last_name` (string, optional)
- `personal_email` (string, optional)
- `timezone` (string, optional, default: America/Los_Angeles)
- `language` (string, optional)
- `state` (string, optional)
- `city` (string, optional)
- `country` (string, optional)
- `department` (long, optional)
- `team` (long, optional)
- `level` (string, optional)
- `title` (string, optional)
- `address` (string, optional)
- `originally_hired` (date, optional)
- `joined_on` (date, optional)
- `terminated_on` (date, optional)
- `employee_id` (string, optional)
- `date_of_birth` (date, optional)
- `phone_number` (string, optional)
- `gender` (string, optional)
- `hr` (long, optional)
- `manager` (long, optional)
- `company_legal_entity` (long, optional)
- `employment_status` (string, optional)
- `slack_id` (string, optional)
- `azure_id` (string, optional)
- `external_id` (string, optional)
- `external_app_type` (enum, optional)
  - Allowed values: `MICROSOFT`, `OKTA`, `GOOGLE`, `RAPID7`, `JUMPCLOUD`
- `org_roles` (list of long, optional)
- `password` (string, optional)
- `profile_image` (long, optional)
- `custom_fields` (ApiV1UsersUserIdPutRequestBodyContentApplicationJsonSchemaCustomFields, optional)
- `is_deleted` (boolean, optional)
- `has_reporters` (boolean, optional, default: false)
- `notification_enabled` (boolean, optional) — Enable/disable notifications for the user

## Response

### 200

Successful response

## Types

### ApiV1UsersUserIdPutRequestBodyContentApplicationJsonSchemaCustomFields

## Examples

**Request**

```json
{
  "email": "",
  "first_name": "",
  "middle_name": "",
  "last_name": "",
  "personal_email": "",
  "timezone": "",
  "language": "",
  "state": "",
  "city": "",
  "country": "",
  "department": 0,
  "team": 0,
  "level": "",
  "title": "",
  "address": ""
}
```

**Response**

```json
{}
```

**SDK Code**

```python Users_putapi_v1_users__user_id_example
import requests

url = "https://{tenant}.atomicwork.com/api/v1/users/1"

payload = {
    "email": "",
    "first_name": "",
    "middle_name": "",
    "last_name": "",
    "personal_email": "",
    "timezone": "",
    "language": "",
    "state": "",
    "city": "",
    "country": "",
    "department": 0,
    "team": 0,
    "level": "",
    "title": "",
    "address": ""
}
headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Users_putapi_v1_users__user_id_example
const url = 'https://{tenant}.atomicwork.com/api/v1/users/1';
const options = {
  method: 'PUT',
  headers: {
    'X-Workspace-Id': '{{workspace_id}}',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"email":"","first_name":"","middle_name":"","last_name":"","personal_email":"","timezone":"","language":"","state":"","city":"","country":"","department":0,"team":0,"level":"","title":"","address":""}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Users_putapi_v1_users__user_id_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/users/1"

	payload := strings.NewReader("{\n  \"email\": \"\",\n  \"first_name\": \"\",\n  \"middle_name\": \"\",\n  \"last_name\": \"\",\n  \"personal_email\": \"\",\n  \"timezone\": \"\",\n  \"language\": \"\",\n  \"state\": \"\",\n  \"city\": \"\",\n  \"country\": \"\",\n  \"department\": 0,\n  \"team\": 0,\n  \"level\": \"\",\n  \"title\": \"\",\n  \"address\": \"\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Users_putapi_v1_users__user_id_example
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/users/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"email\": \"\",\n  \"first_name\": \"\",\n  \"middle_name\": \"\",\n  \"last_name\": \"\",\n  \"personal_email\": \"\",\n  \"timezone\": \"\",\n  \"language\": \"\",\n  \"state\": \"\",\n  \"city\": \"\",\n  \"country\": \"\",\n  \"department\": 0,\n  \"team\": 0,\n  \"level\": \"\",\n  \"title\": \"\",\n  \"address\": \"\"\n}"

response = http.request(request)
puts response.read_body
```

```java Users_putapi_v1_users__user_id_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://{tenant}.atomicwork.com/api/v1/users/1")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"email\": \"\",\n  \"first_name\": \"\",\n  \"middle_name\": \"\",\n  \"last_name\": \"\",\n  \"personal_email\": \"\",\n  \"timezone\": \"\",\n  \"language\": \"\",\n  \"state\": \"\",\n  \"city\": \"\",\n  \"country\": \"\",\n  \"department\": 0,\n  \"team\": 0,\n  \"level\": \"\",\n  \"title\": \"\",\n  \"address\": \"\"\n}")
  .asString();
```

```php Users_putapi_v1_users__user_id_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://{tenant}.atomicwork.com/api/v1/users/1', [
  'body' => '{
  "email": "",
  "first_name": "",
  "middle_name": "",
  "last_name": "",
  "personal_email": "",
  "timezone": "",
  "language": "",
  "state": "",
  "city": "",
  "country": "",
  "department": 0,
  "team": 0,
  "level": "",
  "title": "",
  "address": ""
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp Users_putapi_v1_users__user_id_example
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/users/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"email\": \"\",\n  \"first_name\": \"\",\n  \"middle_name\": \"\",\n  \"last_name\": \"\",\n  \"personal_email\": \"\",\n  \"timezone\": \"\",\n  \"language\": \"\",\n  \"state\": \"\",\n  \"city\": \"\",\n  \"country\": \"\",\n  \"department\": 0,\n  \"team\": 0,\n  \"level\": \"\",\n  \"title\": \"\",\n  \"address\": \"\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Users_putapi_v1_users__user_id_example
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "email": "",
  "first_name": "",
  "middle_name": "",
  "last_name": "",
  "personal_email": "",
  "timezone": "",
  "language": "",
  "state": "",
  "city": "",
  "country": "",
  "department": 0,
  "team": 0,
  "level": "",
  "title": "",
  "address": ""
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/users/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```